summaryrefslogtreecommitdiffstats
path: root/games/stella
diff options
context:
space:
mode:
Diffstat (limited to 'games/stella')
-rw-r--r--games/stella/README2
-rw-r--r--games/stella/slack-desc19
-rw-r--r--games/stella/stella.SlackBuild76
-rw-r--r--games/stella/stella.info8
4 files changed, 105 insertions, 0 deletions
diff --git a/games/stella/README b/games/stella/README
new file mode 100644
index 0000000000..ca5936c93b
--- /dev/null
+++ b/games/stella/README
@@ -0,0 +1,2 @@
+Stella is a multi-platform Atari 2600 VCS emulator released under the
+GNU General Public License (GPL).
diff --git a/games/stella/slack-desc b/games/stella/slack-desc
new file mode 100644
index 0000000000..a4e6bd64fa
--- /dev/null
+++ b/games/stella/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+stella: Stella is a multi-platform Atari 2600 VCS emulator released under the
+stella: GNU General Public License (GPL).
+stella:
+stella: Homepage: http://stella.sourceforge.net
+stella:
+stella:
+stella:
+stella:
+stella:
+stella:
+stella:
diff --git a/games/stella/stella.SlackBuild b/games/stella/stella.SlackBuild
new file mode 100644
index 0000000000..3a151ac336
--- /dev/null
+++ b/games/stella/stella.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for stella
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=stella
+VERSION=${VERSION:-2.7.3a}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --datadir=/usr/share/$PRGNAM \
+ --disable-static \
+ --enable-shared
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+mv -f $PKG/usr/share/$PRGNAM/applications/stella.desktop $PKG/usr/share/applications
+( cd $PKG/usr/share/pixmaps ; ln -s ../$PRGNAM/icons/stella.png stella.png )
+rmdir $PKG/usr/share/$PRGNAM/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Announce.txt Changes.txt Copyright.txt README-GP2X.txt README-SDL.txt \
+ README-WinCE.txt Readme.txt Todo.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/stella/stella.info b/games/stella/stella.info
new file mode 100644
index 0000000000..252eb1859e
--- /dev/null
+++ b/games/stella/stella.info
@@ -0,0 +1,8 @@
+PRGNAM="stella"
+VERSION="2.7.3a"
+HOMEPAGE="http://stella.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/stella/stella-2.7.3a-src.tar.gz"
+MD5SUM="6994714f070e8aa0f5f62aa317a4a5e2"
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="rworkman"